com.corticon.rulesemf.assetmodel

## Interface AssetmodelPackage.Literals

- Enclosing interface:
    AssetmodelPackage

      public static interface AssetmodelPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `RULEFLOW_ASSET` The meta object literal for the '`Ruleflow Asset`' class
    `static org.eclipse.emf.ecore.EReference` | `RULEFLOW_ASSET__RULEFLOW` The meta object literal for the 'Ruleflow' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `RULEFLOW_ASSET__RULEFLOW_VIEW_LIST` The meta object literal for the 'Ruleflow View List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `RULEFLOW_ASSET__RULESHEET_ASSETS` The meta object literal for the 'Rulesheet Assets' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `RULESHEET_ASSET` The meta object literal for the '`Rulesheet Asset`' class
    `static org.eclipse.emf.ecore.EReference` | `RULESHEET_ASSET__RULESET` The meta object literal for the 'Ruleset' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `RULESHEET_ASSET__RULESHEET_VIEW_LIST` The meta object literal for the 'Rulesheet View List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `RULETEST_ASSET` The meta object literal for the '`Ruletest Asset`' class
    `static org.eclipse.emf.ecore.EReference` | `RULETEST_ASSET__RULETEST` The meta object literal for the 'Ruletest' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `RULETEST_ASSET__RULETEST_VIEW_LIST` The meta object literal for the 'Ruletest View List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `RULETEST_ASSET__TESTSHEET_ASSETS` The meta object literal for the 'Testsheet Assets' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULETEST_ASSET__TESTSHEET_INDEX` The meta object literal for the 'Testsheet Index' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TESTSHEET_ASSET` The meta object literal for the '`Testsheet Asset`' class
    `static org.eclipse.emf.ecore.EReference` | `TESTSHEET_ASSET__TESTSHEET` The meta object literal for the 'Testsheet' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `TESTSHEET_ASSET__TESTSHEET_VIEW_LIST` The meta object literal for the 'Testsheet View List' containment reference list feature

- - ### Field Detail

    - #### RULEFLOW_ASSET

          static final org.eclipse.emf.ecore.EClass RULEFLOW_ASSET

      The meta object literal for the '`Ruleflow Asset`' class.
      See Also:
        `RuleflowAssetImpl`, `AssetmodelPackageImpl.getRuleflowAsset()`

    - #### RULEFLOW_ASSET__RULESHEET_ASSETS

          static final org.eclipse.emf.ecore.EReference RULEFLOW_ASSET__RULESHEET_ASSETS

      The meta object literal for the 'Rulesheet Assets' reference list feature.

    - #### RULEFLOW_ASSET__RULEFLOW

          static final org.eclipse.emf.ecore.EReference RULEFLOW_ASSET__RULEFLOW

      The meta object literal for the 'Ruleflow' containment reference feature.

    - #### RULEFLOW_ASSET__RULEFLOW_VIEW_LIST

          static final org.eclipse.emf.ecore.EReference RULEFLOW_ASSET__RULEFLOW_VIEW_LIST

      The meta object literal for the 'Ruleflow View List' containment reference list feature.

    - #### RULESHEET_ASSET

          static final org.eclipse.emf.ecore.EClass RULESHEET_ASSET

      The meta object literal for the '`Rulesheet Asset`' class.
      See Also:
        `RulesheetAssetImpl`, `AssetmodelPackageImpl.getRulesheetAsset()`

    - #### RULESHEET_ASSET__RULESET

          static final org.eclipse.emf.ecore.EReference RULESHEET_ASSET__RULESET

      The meta object literal for the 'Ruleset' containment reference feature.

    - #### RULESHEET_ASSET__RULESHEET_VIEW_LIST

          static final org.eclipse.emf.ecore.EReference RULESHEET_ASSET__RULESHEET_VIEW_LIST

      The meta object literal for the 'Rulesheet View List' containment reference list feature.

    - #### RULETEST_ASSET

          static final org.eclipse.emf.ecore.EClass RULETEST_ASSET

      The meta object literal for the '`Ruletest Asset`' class.
      See Also:
        `RuletestAssetImpl`, `AssetmodelPackageImpl.getRuletestAsset()`

    - #### RULETEST_ASSET__TESTSHEET_INDEX

          static final org.eclipse.emf.ecore.EAttribute RULETEST_ASSET__TESTSHEET_INDEX

      The meta object literal for the 'Testsheet Index' attribute feature.

    - #### RULETEST_ASSET__TESTSHEET_ASSETS

          static final org.eclipse.emf.ecore.EReference RULETEST_ASSET__TESTSHEET_ASSETS

      The meta object literal for the 'Testsheet Assets' containment reference list feature.

    - #### RULETEST_ASSET__RULETEST

          static final org.eclipse.emf.ecore.EReference RULETEST_ASSET__RULETEST

      The meta object literal for the 'Ruletest' containment reference feature.

    - #### RULETEST_ASSET__RULETEST_VIEW_LIST

          static final org.eclipse.emf.ecore.EReference RULETEST_ASSET__RULETEST_VIEW_LIST

      The meta object literal for the 'Ruletest View List' containment reference list feature.

    - #### TESTSHEET_ASSET

          static final org.eclipse.emf.ecore.EClass TESTSHEET_ASSET

      The meta object literal for the '`Testsheet Asset`' class.
      See Also:
        `TestsheetAssetImpl`, `AssetmodelPackageImpl.getTestsheetAsset()`

    - #### TESTSHEET_ASSET__TESTSHEET

          static final org.eclipse.emf.ecore.EReference TESTSHEET_ASSET__TESTSHEET

      The meta object literal for the 'Testsheet' containment reference feature.

    - #### TESTSHEET_ASSET__TESTSHEET_VIEW_LIST

          static final org.eclipse.emf.ecore.EReference TESTSHEET_ASSET__TESTSHEET_VIEW_LIST

      The meta object literal for the 'Testsheet View List' containment reference list feature.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.